%define _prefix /usr
%define _mandir %{_prefix}/share/man
%define _sysconfdir %{_prefix}/etc

Name: lalpulsar
Version: 1.12.0
Release: 1
Summary: LSC Algorithm Pulsar Library
License: GPL
Group: LAL
Source: %{name}-%{version}.tar.gz
URL: https://www.lsc-group.phys.uwm.edu/daswg/projects/lalsuite.html
Packager: Adam Mercer <adam.mercer@ligo.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: swig, python-devel, octave-devel, gsl-devel, fftw-devel, numpy
BuildRequires: lal-devel >= 6.15.0
BuildRequires: lal-python >= 6.15.0
BuildRequires: lal-octave >= 6.15.0
BuildRequires: lalxml-devel >= 1.2.0
BuildRequires: lalxml-python >= 1.2.0
BuildRequires: lalxml-octave >= 1.2.0
Requires: gsl, fftw
Requires: lal >= 6.15.0
Requires: lalxml >= 1.2.0
Prefix: %{_prefix}

%description
The LSC Algorithm Pulsar Library for gravitational wave data analysis.
This package contains the shared-object libraries needed to run applications
that use the LAL Pulsar library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL Pulsar
Group: LAL
Requires: %{name} = %{version}
Requires: gsl-devel, fftw-devel, fftw-static
Requires: lal-devel >= 6.15.0
Requires: lalxml-devel >= 1.2.0
%description devel
The LSC Algorithm Pulsar Library for gravitational wave data analysis.
This package contains files needed build applications that use the LAL
Pulsar library.

%package python
Summary: Python bindings for LALPulsar
Group: LAL
Requires: %{name} = %{version}
Requires: python, numpy
Requires: lal-python >= 6.15.0
Requires: lalxml-python >= 1.2.0
%description python
This package provides the Python bindings for LALPulsar.

%package octave
Summary: Octave bindings for LALPulsar
Group: LAL
Requires: %{name} = %{version}
Requires: octave
Requires: lal-octave >= 6.15.0
Requires: lalxml-octave >= 1.2.0
%description octave
This package provides the Octave bindings for LALPulsar.

%prep
%setup -q

%build
%configure --disable-gcc-flags --enable-swig --without-simd
%{__make} V=1

%check
%{__make} V=1 check

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}

%files
%defattr(-,root,root)
%{_libdir}/*.so*
%{_sysconfdir}/*
%{_prefix}/share/lalpulsar/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/lal

%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/lalpulsar/*.py
%{_libdir}/python*/site-packages/lalpulsar/*.pyc
%{_libdir}/python*/site-packages/lalpulsar/_lalpulsar.so*
%exclude %{_libdir}/python*/site-packages/lalpulsar/*.pyo

%files octave
%defattr(-,root,root)
%{_libexecdir}/octave/*/site/oct/*/lalpulsar.oct*
